﻿
using Microsoft.WindowsAzure.StorageClient;
namespace HeuristicLab.Clients.Hive.CloudManager.Azure {
  public static class CloudBlobExtension {
    //check if a blob exists
    // see: http://stackoverflow.com/questions/2642919/checking-if-a-blob-exists-in-azure-storage
    public static bool Exists(this CloudBlob blob) {
      try {
        blob.FetchAttributes();
        return true;
      }
      catch (StorageClientException ex) {
        if (ex.ErrorCode == StorageErrorCode.ResourceNotFound) {
          return false;
        } else {
          throw;
        }
      }
    }

    public static bool Exists(this CloudBlobContainer blob) {
      try {
        blob.FetchAttributes();
        return true;
      }
      catch (StorageClientException ex) {
        if (ex.ErrorCode == StorageErrorCode.ResourceNotFound) {
          return false;
        } else {
          throw;
        }
      }
    }
  }
}
